classification
Title: Python needs higher resolution app/menu icons
Type: Stage: resolved
Components: IDLE Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: hroncok, miss-islington, serhiy.storchaka, steve.dower, terry.reedy, vstinner
Priority: normal Keywords: patch

Created on 2019-10-10 23:14 by hroncok, last changed 2020-10-21 16:19 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
idle.png hroncok, 2019-10-10 23:14 Screenshot of the icon on GNOME
python.png hroncok, 2019-12-05 12:36
Pull Requests
URL Status Linked Edit
PR 17473 merged hroncok, 2019-12-05 13:22
PR 19646 merged miss-islington, 2020-04-22 07:22
PR 19647 merged miss-islington, 2020-04-22 07:22
PR 19648 merged hroncok, 2020-04-22 07:38
PR 22817 merged steve.dower, 2020-10-20 12:21
PR 22823 merged miss-islington, 2020-10-20 16:58
PR 22824 merged miss-islington, 2020-10-20 16:58
PR 22825 merged miss-islington, 2020-10-20 16:59
PR 22826 merged miss-islington, 2020-10-20 16:59
Messages (16)
msg354415 - (view) Author: Miro Hrončok (hroncok) * Date: 2019-10-10 23:14
See the attached screenshot. All the GNOME apps have scalable icons, only the IDLE icon is scaled up from 48x48 pixels.

I've found similar issue32129, but apparently the accepted resolution was to change a bit of code somewhere, not to provide higher resolution icons.
msg354422 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-10-11 06:28
I think you misunderstood #32129.  It was specific to macOS Aqua systems.  On Windows and generally on Linux, window title bars have a little icon on the left end (at least on Windows).  IDLE uses the tcl/tk GUI framework and by default, on these systems, tk windows have a generic tk icon at the left end.  (At least that is the position on Windows.) #20406 replaced the tk icon with versions of the Python app icon.

On mac Aqua, tk window title bars do not have an icon.  Somehow Mac, Aqua, and tk interact so that the replacement icon instead replaced Apple's version of the Python app (menu) icon, which is different from the *nix/Windows python app icon. This was unintended and a bug.  The fix was to not execute the replacement code on Mac Aqua systems.

Your png shows the Python app icon used for IDLE as a Python application.  It is the same one used for Python applications on the Windows taskbar, including but not limited to IDLE.  I agreed on #32129 that it would be good if someone contributed higher resolution versions.  But it is not specifically an IDLE issue.  I will say more tomorrow.
msg357846 - (view) Author: Miro Hrončok (hroncok) * Date: 2019-12-05 12:36
At https://mgabrail.wordpress.com/2011/08/19/5-reasons-why-you-should-learn-python-programming/ I have found https://mgabrail.files.wordpress.com/2011/08/python.png - I have no idea what is the license of this file or where it originated from, but this looks fairly like the icon in question.

Google images reveal more liek it, usually resized or jpeged.
msg357849 - (view) Author: Miro Hrončok (hroncok) * Date: 2019-12-05 12:58
https://bugs.python.org/issue1490384
https://www.doxdesk.com/software/py/pyicons.html
msg357852 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-12-05 13:45
Oh ok, I confirm that https://github.com/python/cpython/pull/17473 is an icon drew by Andrew Clover.

https://www.doxdesk.com/file/software/py/v/pyicons-full-0.4.zip from https://www.doxdesk.com/software/py/pyicons.html contains py0032.png which is the same picture (same pixels), but the MD5 is different because metadata are different.

That's the website of Andrew Clover: https://www.doxdesk.com/personal/
msg361392 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-02-05 00:41
Copying my comment from the PR:

Could someone with the SVG also create 44x44 and 150x150 sized versions? (Like the pythonx44.png and pythonx150.png files in PC/icons.)

These are the sizes used for the tiles created by the Microsoft Store installer, and referenced from PC\layout\support\appxmanifest.py (search for pythonwx to find the current IDLE and pythonw references).
msg366985 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-04-22 07:21
New changeset 3a69f3caeeaea57048ed3bc3051e16854b9a4cd6 by Miro Hrončok in branch 'master':
bpo-38439: Add 256px IDLE icon (GH-17473)
https://github.com/python/cpython/commit/3a69f3caeeaea57048ed3bc3051e16854b9a4cd6
msg366987 - (view) Author: miss-islington (miss-islington) Date: 2020-04-22 07:38
New changeset abdfb3b47156a6ca5696b6f4380d412a460b718a by Miss Islington (bot) in branch '3.7':
bpo-38439: Add 256px IDLE icon (GH-17473)
https://github.com/python/cpython/commit/abdfb3b47156a6ca5696b6f4380d412a460b718a
msg366989 - (view) Author: miss-islington (miss-islington) Date: 2020-04-22 07:40
New changeset 3a5545025685040842420c85a4a9aab5f044aeb8 by Miss Islington (bot) in branch '3.8':
bpo-38439: Add 256px IDLE icon (GH-17473)
https://github.com/python/cpython/commit/3a5545025685040842420c85a4a9aab5f044aeb8
msg379120 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-10-20 12:21
New changeset faddc7449d07e883b8ad8bb95dd68ce6dbdc06e8 by Miro Hrončok in branch 'master':
bpo-38439: Add 256px IDLE icon to the .ico, drop gifs from it (GH-19648)
https://github.com/python/cpython/commit/faddc7449d07e883b8ad8bb95dd68ce6dbdc06e8
msg379137 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-10-20 14:54
New changeset 6d883fbe14751b58d9ed2fd708322613d8931035 by Steve Dower in branch 'master':
bpo-38439: Update the Windows Store package's icons for IDLE. Artwork by Andrew Clover (GH-22817)
https://github.com/python/cpython/commit/6d883fbe14751b58d9ed2fd708322613d8931035
msg379144 - (view) Author: miss-islington (miss-islington) Date: 2020-10-20 17:17
New changeset 333782a3f40baf8bb916da4b5fc04b3d2a749e0c by Miss Skeleton (bot) in branch '3.8':
bpo-38439: Update the Windows Store package's icons for IDLE. Artwork by Andrew Clover (GH-22817)
https://github.com/python/cpython/commit/333782a3f40baf8bb916da4b5fc04b3d2a749e0c
msg379145 - (view) Author: miss-islington (miss-islington) Date: 2020-10-20 17:17
New changeset d84e411005401b3c22d7f5836fa366e7aeeb1f21 by Miss Skeleton (bot) in branch '3.8':
bpo-38439: Add 256px IDLE icon to the .ico, drop gifs from it (GH-19648)
https://github.com/python/cpython/commit/d84e411005401b3c22d7f5836fa366e7aeeb1f21
msg379146 - (view) Author: miss-islington (miss-islington) Date: 2020-10-20 17:20
New changeset d12afba507990b6d75f701b398d4f342576be5d7 by Miss Skeleton (bot) in branch '3.9':
bpo-38439: Update the Windows Store package's icons for IDLE. Artwork by Andrew Clover (GH-22817)
https://github.com/python/cpython/commit/d12afba507990b6d75f701b398d4f342576be5d7
msg379215 - (view) Author: miss-islington (miss-islington) Date: 2020-10-21 16:07
New changeset 871c6ccf4a883fbc05410284b21e6d668b832f2c by Miss Skeleton (bot) in branch '3.9':
bpo-38439: Add 256px IDLE icon to the .ico, drop gifs from it (GH-19648)
https://github.com/python/cpython/commit/871c6ccf4a883fbc05410284b21e6d668b832f2c
msg379216 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-10-21 16:19
This seems complete to me, but feel free to reopen if it is not.
History
Date User Action Args
2020-10-21 16:19:38steve.dowersetstatus: open -> closed
versions: + Python 3.10, - Python 3.7
messages: + msg379216

resolution: fixed
stage: patch review -> resolved
2020-10-21 16:07:21miss-islingtonsetmessages: + msg379215
2020-10-20 17:20:12miss-islingtonsetmessages: + msg379146
2020-10-20 17:17:34miss-islingtonsetmessages: + msg379145
2020-10-20 17:17:25miss-islingtonsetmessages: + msg379144
2020-10-20 16:59:15miss-islingtonsetpull_requests: + pull_request21783
2020-10-20 16:59:07miss-islingtonsetpull_requests: + pull_request21782
2020-10-20 16:58:57miss-islingtonsetpull_requests: + pull_request21781
2020-10-20 16:58:50miss-islingtonsetpull_requests: + pull_request21780
2020-10-20 14:54:24steve.dowersetmessages: + msg379137
2020-10-20 12:21:35steve.dowersetpull_requests: + pull_request21773
2020-10-20 12:21:14steve.dowersetmessages: + msg379120
2020-04-22 07:40:06miss-islingtonsetmessages: + msg366989
2020-04-22 07:38:52hroncoksetpull_requests: + pull_request18975
2020-04-22 07:38:46miss-islingtonsetmessages: + msg366987
2020-04-22 07:22:09miss-islingtonsetpull_requests: + pull_request18973
2020-04-22 07:22:01miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request18971
2020-04-22 07:21:51terry.reedysetmessages: + msg366985
2020-02-05 00:41:19steve.dowersetnosy: + steve.dower
messages: + msg361392
2019-12-05 13:45:10vstinnersetnosy: + vstinner
messages: + msg357852
2019-12-05 13:22:07hroncoksetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request16954
2019-12-05 12:58:04hroncoksetmessages: + msg357849
2019-12-05 12:36:19hroncoksetfiles: + python.png

messages: + msg357846
2019-10-11 06:28:46terry.reedysetnosy: + serhiy.storchaka
title: IDLE menu icon is blurry on GNOME -> Python needs higher resolution app/menu icons
messages: + msg354422

assignee: terry.reedy ->
stage: needs patch
2019-10-10 23:14:55hroncokcreate